%global momorel 1
%global srcver 4.3.0

%global qtver 4.4.3
%global qtrel 1m
%global cmakever 2.6.2
%global cmakerel 1m
%global ftpdirver 4.3.0
%global sourcedir stable/%{name}/%{ftpdirver}

Summary: Multimedia framework api
Name: phonon 
Version: %{srcver}
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: LGPLv2+
URL: http://phonon.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2
NoSource: 0
Source1: http://gstreamer.freedesktop.org/data/images/artwork/gstreamer-logo.svg
Patch0: %{name}-4.2.96-pulseaudio.patch
Patch1: %{name}-4.2.96-xine-pulseaudio.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ImageMagick
BuildRequires: automoc >= 1.0-0.6.1m
BuildRequires: cmake
BuildRequires: glib2-devel
BuildRequires: gstreamer-devel
BuildRequires: gstreamer-plugins-base-devel
BuildRequires: libxml2-devel
BuildRequires: qt-devel
BuildRequires: xine-lib

%description
%{summary}.

%package backend-gstreamer
Summary: Gstreamer phonon backend
Group:   Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Provides: phonon-backend = %{version}-%{release}
Obsoletes: phonon-backend-gst < %{version}-%{release}
Provides:  phonon-backend-gst = %{version}-%{release}

%description backend-gstreamer
%{summary}.

%package devel
Summary: Developer files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: qt-devel
Requires: pkgconfig

%description devel
%{summary}.

%prep
%setup -q

%patch0 -p1 -b .pulseaudio
%patch1 -p1 -b .xine-pulseaudio

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

mkdir -p %{buildroot}%{_kde4_iconsdir}/hicolor/scalable/apps
install -m 644 %{SOURCE1} %{buildroot}%{_kde4_iconsdir}/hicolor/scalable/apps/phonon-gstreamer.svg
for i in 16 22 32 48 64 128; do
  mkdir -p %{buildroot}%{_kde4_iconsdir}/hicolor/${i}x${i}/apps
  convert -background None -geometry ${i}x${i}  %{SOURCE1} %{buildroot}%{_kde4_iconsdir}/hicolor/${i}x${i}/apps/phonon-gstreamer.png
done

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING.LIB 
%{_libdir}/libphonon*.so.*
%{_datadir}/dbus-1/interfaces/org.kde.Phonon.AudioOutput.xml
%{_kde4_iconsdir}/oxygen/*/apps/phonon-xine.png
%{_kde4_iconsdir}/oxygen/*/apps/phonon-xine.svgz
# kde4-specific dirs
%dir %{_kde4_libdir}/kde4/plugins/phonon_backend
%{_kde4_libdir}/kde4/plugins/phonon_backend/phonon_xine.so
%dir %{_kde4_datadir}/kde4/services/phononbackends
%{_kde4_datadir}/kde4/services/phononbackends/xine.desktop

%files backend-gstreamer
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/plugins/phonon_backend/phonon_gstreamer.so
%{_kde4_iconsdir}/hicolor/*/apps/phonon-gstreamer.png
%{_kde4_iconsdir}/hicolor/*/apps/phonon-gstreamer.svg
%{_kde4_datadir}/kde4/services/phononbackends/gstreamer.desktop

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/KDE
%{_includedir}/KDE/Phonon
%{_includedir}/phonon
%{_libdir}/pkgconfig/phonon.pc
%{_libdir}/libphonon*.so

%changelog
* Sat Jan 31 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.0-1m)
- update to 4.3.0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.2.96-2m)
- rebuild against rpm-4.6

* Fri Jan 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.96-1m)
- update to 4.2.96

* Sun Jan 11 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.2.81-0.20090103.2m)
- update Patch0 for fuzz=0

* Sat Jan  3 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.81-0.20090103.1m)
- update to 4.2.80 svn 20090103 snapshot

* Tue Dec 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.80-1m)
- version 4.2.80
- BuildRequires: ImageMagick to convert icons

* Tue Dec 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.1-0.20081107.2m)
- apply xine-pulseaudio.patch
- BuildRequires: xine-lib

* Fri Nov  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.1-0.20081107.1m)
- update 4.2.1 svn 20081107 snapshot

* Mon Oct 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.1-0.20081012.1m)
- update 4.2.1 svn 20081012 snapshot

* Thu Sep  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.1-0.855256.1m)
- update to rev.855256 snapshot

* Wed Sep  3 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.0-3m)
- import pulseaudio.patch from Fedora
 +* Sun Aug 10 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.2.0-4
 +- fix PulseAudio not being the default in the Xine backend (4.2 regression)

- * Mon Sep  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.1-0.855256.1m)
- - update to rev.855256 snapshot

- * Thu Aug 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.1-0.849968.1m)
- - update to rev.849968 snapshot
- - rename from phonon-backend-gst to phonon-backend-gstreamer

* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.2.0-2m)
- change BuildRequires: gst-plugins-base-devel to gstreamer-plugins-base-devel

* Fri Jul 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.0-1m)
- update to 4.2.0 (stable version)

* Wed Jun 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2-0.2.1m)
- import from Fedora devel

* Fri Jun 20 2008 Rex Dieter <rdieter@fedoraproject.org> 4.2-0.2.beta2
- phonon 4.2beta2 (aka 4.1.83)

* Sat Jun 14 2008 Rex Dieter <rdieter@fedoraproject.org> 4.2-0.1.20080614svn820634
- first try

